import request from '@/config/axios'

export interface ProcessLogVO {
  id: string
  lsh : string
  rq: string
  xsmz: string
  xsmzName: string,
  xsl: number,
  bz: string,

}

export interface ProcessLogPageReqVO extends PageParam {
  xsmz?: string,
  startDate?: Date,
  endDate?: Date,
}

// 查询ProcessLog列表
export const getProcessLogPage = (params: ProcessLogPageReqVO) => {
  return request.get({ url: '/xmcpms/order-prod/sale/volume/page', params })
}

// 查询ProcessLog列表
export const getPointList = (params: ProcessLogPageReqVO) => {
  return request.get({ url: '/xmcpms/order-prod/sale/volume/list', params })
}

// 查询ProcessLog详情
export const getProcessLog = (id: number) => {
  return request.get({ url: `/xmcpms/prod/sale/volume/info/${id}`})
}

// 新增ProcessLog
export const createProcessLog = (data: ProcessLogVO) => {
  return request.post({ url: '/xmcpms/order-prod/sale/volume/create', data })
}

// 修改ProcessLog
export const updateProcessLog = (data: ProcessLogVO) => {
  return request.put({ url: '/xmcpms/order-prod/sale/volume/update', data })
}

// 删除ProcessLog
export const deleteProcessLog = (id: number) => {
  return request.delete({ url: '/xmcpms/order-prod/sale/volume/delete?id=' + id })
}

//导出ProcessLogList
export const exportProcessLog = (params) => {
  return request.download({ url: '/xmcpms/order-prod/sale/volume/export', params })
}

// 下载用户导入模板
export const importPointTemplate = () => {
  return request.download({ url: '/xmcpms/order-prod/sale/volume/get-import-template' })
}
